gss_inquire_mechs_for_name(3)

NAME
gss_inquire_mechs_for_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_inquire_mechs_for_name(OM_uint32 * minor_status, const gss_name_t input_name, gss_OID_set * mech_types);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_name_t input_name
    (gss_name_t, read) The name to which the inquiry
      relates.

gss_OID_set * mech_types
    (gss_OID_set, modify) Set of mechanisms that may
      support the specified name. The returned OID set must be freed
      by the caller after use with a call to gss_release_oid_set().

DESCRIPTION
Returns the set of mechanisms supported by the GSS-API implementation that may be able to process the specified name.

Each mechanism returned will recognize at least one element within the name. It is permissible for this routine to be implemented within a mechanism-independent GSS-API layer, using the type information contained within the presented name, and based on registration information provided by individual mechanism implementations. This means that the returned mech_types set may indicate that a particular mechanism will understand the name when in fact it would refuse to accept the name as input to gss_canonicalize_name, gss_init_sec_context, gss_acquire_cred or gss_add_cred (due to some property of the specific name, as opposed to the name type). Thus this routine should be used only as a prefilter for a call to a subsequent mechanism-specific routine.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_NAME`: The input_name parameter was ill-formed.

`GSS_S_BAD_NAMETYPE`: The input_name parameter contained an invalid or unsupported type of name.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.